PFE 0.33.71

Homepage
SourceForge
Download
Documentation
-Overview
-The PFE Manual
old manual / (book)
-ChangeLog
-Authors
-License (LGPL)
-Wordsets / (book)
-Functions .. (book)
-Dp of ANS Forth
-The 4thTutor
-Forthprimer.pdf
- Old Wordsets
- Old Words List
Forth Links
* Forth Repository
* Taygeta Compilation
* TinyBoot FirmWare
* FiCL, Free Forth
* Research Vienna
* Research Bournemouth
* zForth WebRing
Other Links
* Tektronix/MPT
* Forth Org. (FIG)
* Forth Inc.
* MPE Ltd. Forths
* SF Win32Forth
* PD Win32Forth
* Neil Bawd

generated
(C) Guido U. Draheim
guidod@gmx.de

## Debugger

> words

`DEBUG``( "word" -- )``[FTH]` => `"FORTH"`

  this word will place an debug-runtime into the `CFA` of the following word. If the word gets executed later, the user will be prompted and can decide to single-step the given word. The debug-stepper is interactive and should be self-explanatory. (use `NO-DEBUG` to turn it off again)

  primitive code = [p4_debug]

`NO-DEBUG``( "word" -- )``[FTH]` => `"FORTH"`

  the inverse of " `DEBUG` word "

  primitive code = [p4_no_debug]

`(SEE)``` => `"FORTH"`

  (no description)

  primitive code = [p4_paren_see]

`ADDR>NAME``( word-addr* -- word-nfa*!' | 0 )``[FTH]` => `"FORTH"`

  search the next corresponding namefield that address is next too. If it is not in the base-dictionary, then just return 0 as not-found.

  primitive code = [p4_addr_to_name]

`COME_BACK``( -- )``[FTH]` => `"FORTH"`

  show the return stack before last exception along with the best names as given by `ADDR>NAME`

  primitive code = [p4_come_back]